curl -X GET "https://api.wirebox.sh/api/v1/mail/threads?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"threads": [
{
"id": "thrd_01J8XYZ987ABC",
"subject": "Question regarding my API quota",
"snippet": "Hi Eva, how can I increase my monthly quota?",
"unread": false,
"message_count": 2,
"last_message_at": "2026-09-11T12:05:00Z",
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}
Mail & Messages
List Conversation Threads
Retrieve grouped conversation threads scoped to an agent or mailbox.
GET
/
api
/
v1
/
mail
/
threads
curl -X GET "https://api.wirebox.sh/api/v1/mail/threads?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"threads": [
{
"id": "thrd_01J8XYZ987ABC",
"subject": "Question regarding my API quota",
"snippet": "Hi Eva, how can I increase my monthly quota?",
"unread": false,
"message_count": 2,
"last_message_at": "2026-09-11T12:05:00Z",
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}
Query Parameters
string
Filter threads for a specific agent handle (e.g.
eva).string
Filter threads by mailbox address (e.g.
eva@wireboxmail.com).integer
default:"50"
Number of threads to return (1–100).
integer
default:"0"
Pagination offset.
curl -X GET "https://api.wirebox.sh/api/v1/mail/threads?agent=eva" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
{
"threads": [
{
"id": "thrd_01J8XYZ987ABC",
"subject": "Question regarding my API quota",
"snippet": "Hi Eva, how can I increase my monthly quota?",
"unread": false,
"message_count": 2,
"last_message_at": "2026-09-11T12:05:00Z",
"created_at": "2026-09-11T12:00:00Z"
}
],
"total": 1
}